using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace RadGridViewContactsSample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			BindTheGrid();
		}

		private void BindTheGrid()
		{
			DataTable contacts = new DataTable();
			contacts.Columns.Add("ContactName");
			contacts.Columns.Add("Phone1");
			contacts.Columns.Add("Phone2");
			contacts.Columns.Add("ContactUsing");

			contacts.Rows.Add("John Smith", "555-123", "555-456", "Phone1");
			contacts.Rows.Add("Jane Smith", "555-123", "555-456", "Phone2");
			contacts.Rows.Add("Jack Smith", "555-333", "555-678", "Phone1");

			this.RadGridView1.ItemsSource = contacts;
		}
	}

}
